Index: trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 892)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 892)
@@ -0,0 +1,324 @@
+!
+! $Id $
+!
+subroutine phyetat0(fichnom)
+! Load initial state for the physics
+! and do some resulting initializations
+
+      USE dimphy
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
+      USE iophy
+      USE phys_state_var_mod
+      USE iostart
+      USE infotrac
+      USE comgeomphy,  only: rlatd,rlond
+      USE control_mod, only: raz_date
+
+implicit none
+!======================================================================
+! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
+! Objet: Lecture de l'etat initial pour la physique
+!======================================================================
+#include "dimensions.h"
+#include "netcdf.inc"
+#include "dimsoil.h"
+#include "clesphys.h"
+#include "tabcontrol.h"
+#include "temps.h"
+!======================================================================
+
+character(len=*),intent(in) :: fichnom ! input file name
+REAL    :: xmin, xmax
+LOGICAL :: found
+REAL    :: tab_cntrl(length)
+integer :: i,isoil
+CHARACTER(len=2) :: str2
+
+! les variables globales lues dans le fichier restart
+
+! open physics initial state file:
+call open_startphy(fichnom)
+
+!
+! Lecture des parametres de controle:
+!
+      CALL get_var("controle",tab_cntrl,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <controle> est absent'
+         CALL abort
+      ENDIF
+       
+      DO i = 1, length
+           tabcntr0( i ) = tab_cntrl( i )
+      ENDDO
+
+
+      dtime        = tab_cntrl(1)
+      radpas       = tab_cntrl(2)
+
+      itau_phy = tab_cntrl(15)
+
+! Attention si raz_date est active :
+! il faut remettre a zero itau_phy apres phyetat0 !
+      IF (raz_date.eq.1) THEN
+        itau_phy=0
+      ENDIF
+
+! read latitudes
+call get_field("latitude",rlatd,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <latitude> est absent'
+         CALL abort
+      ENDIF
+
+! read longitudes
+call get_field("longitude",rlond,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <longitude> est absent'
+         CALL abort
+      ENDIF
+
+! read in other variables here ...
+
+! Lecture des temperatures du sol:
+
+       CALL get_field("TS",ftsol(:),found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <TS> est absent'
+         PRINT*, "phyetat0: Lecture echouee pour <TS>"
+         CALL abort
+      ELSE
+         PRINT*, 'phyetat0: Le champ <TS> est present'
+         xmin = 1.0E+20
+         xmax = -1.0E+20
+         DO i = 1, klon
+            xmin = MIN(ftsol(i),xmin)
+            xmax = MAX(ftsol(i),xmax)
+         ENDDO
+         PRINT*,'Temperature du sol <TS>', xmin, xmax
+      ENDIF
+
+
+! Lecture des temperatures du sol profond:
+
+      DO isoil=1, nsoilmx
+      IF (isoil.GT.99) THEN
+         PRINT*, "Trop de couches"
+         CALL abort
+      ENDIF
+      WRITE(str2,'(i2.2)') isoil
+      CALL get_field('Tsoil'//str2,ftsoil(:,isoil),found)
+      IF (.not.found) THEN
+         PRINT*, "phyetat0: Le champ <Tsoil"//str2//"> est absent"
+         PRINT*, "          Il prend donc la valeur de surface"
+         DO i=1, klon
+             ftsoil(i,isoil)=ftsol(i)
+         ENDDO
+      ENDIF
+      ENDDO
+
+! Lecture de albedo au sol:
+
+      CALL get_field("ALBE", falbe,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ALBE> est absent'
+         PRINT*, "phyetat0: Lecture echouee pour <ALBE>"
+         CALL abort
+      ELSE
+         xmin = 1.0E+20
+         xmax = -1.0E+20
+         DO i = 1, klon
+            xmin = MIN(falbe(i),xmin)
+            xmax = MAX(falbe(i),xmax)
+         ENDDO
+         PRINT*,'Albedo du sol <ALBE>', xmin, xmax
+      ENDIF
+
+! Lecture rayonnement solaire au sol:
+
+      CALL get_field("solsw",solsw,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <solsw> est absent'
+         PRINT*, 'mis a zero'
+         solsw = 0.
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(solsw(i),xmin)
+         xmax = MAX(solsw(i),xmax)
+      ENDDO
+      PRINT*,'Rayonnement solaire au sol solsw:', xmin, xmax
+
+! Lecture rayonnement IF au sol:
+
+      CALL get_field("sollw",sollw,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <sollw> est absent'
+         PRINT*, 'mis a zero'
+         sollw = 0.
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(sollw(i),xmin)
+         xmax = MAX(sollw(i),xmax)
+      ENDDO
+      PRINT*,'Rayonnement IF au sol sollw:', xmin, xmax
+
+! Lecture derive des flux:
+
+      CALL get_field("fder",fder,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <fder> est absent'
+         PRINT*, 'mis a zero'
+         fder = 0.
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(fder(i),xmin)
+         xmax = MAX(fder(i),xmax)
+      ENDDO
+      PRINT*,'Derive des flux fder:', xmin, xmax
+
+! Lecture du rayonnement net au sol:
+
+      CALL get_field("RADS",radsol,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <RADS> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(radsol(i),xmin)
+         xmax = MAX(radsol(i),xmax)
+      ENDDO
+      PRINT*,'Rayonnement net au sol radsol:', xmin, xmax
+
+! Lecture de l'orographie sous-maille si ok_orodr:
+
+      if(ok_orodr) then
+     
+      CALL get_field("ZMEA",zmea,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZMEA> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zmea(i),xmin)
+         xmax = MAX(zmea(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zmea:', xmin, xmax
+
+      CALL get_field("ZSTD",zstd,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZSTD> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zstd(i),xmin)
+         xmax = MAX(zstd(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zstd:', xmin, xmax
+
+      CALL get_field("ZSIG",zsig,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZSIG> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zsig(i),xmin)
+         xmax = MAX(zsig(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zsig:', xmin, xmax
+
+      CALL get_field("ZGAM",zgam,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZGAM> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zgam(i),xmin)
+         xmax = MAX(zgam(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zgam:', xmin, xmax
+
+      CALL get_field("ZTHE",zthe,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZTHE> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zthe(i),xmin)
+         xmax = MAX(zthe(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zthe:', xmin, xmax
+
+      CALL get_field("ZPIC",zpic,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZPIC> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zpic(i),xmin)
+         xmax = MAX(zpic(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zpic:', xmin, xmax
+
+      CALL get_field("ZVAL",zval,found)
+      IF (.not.found) THEN
+         PRINT*, 'phyetat0: Le champ <ZVAL> est absent'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(zval(i),xmin)
+         xmax = MAX(zval(i),xmax)
+      ENDDO
+      PRINT*,'OROGRAPHIE SOUS-MAILLE zval:', xmin, xmax
+
+      else 
+         zmea = 0.
+         zstd = 0.
+         zsig = 0.
+         zgam = 0.
+         zthe = 0.
+         zpic = 0.
+         zval = 0.
+
+      endif   ! fin test sur ok_orodr
+
+! Lecture de TANCIEN:
+
+      ancien_ok = .TRUE.
+
+      CALL get_field("TANCIEN",t_ancien,found)
+      IF (.not.found) THEN
+         PRINT*, "phyetat0: Le champ <TANCIEN> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         ancien_ok = .FALSE.
+      ENDIF
+
+! close file
+call close_startphy
+
+! do some more initializations
+call init_iophy_new(rlatd,rlond)
+
+end subroutine phyetat0
Index: trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 892)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 892)
@@ -0,0 +1,105 @@
+!
+! $Id: $
+!
+      SUBROUTINE phyredem (fichnom)
+
+      USE dimphy
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
+      USE iophy
+      USE phys_state_var_mod
+      USE iostart, only : open_restartphy,close_restartphy, & 
+                          put_var,put_field
+      USE infotrac
+      USE comgeomphy,  only: rlatd,rlond
+      USE control_mod, only: raz_date
+
+      implicit none
+!======================================================================
+! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
+! Objet: Lecture de l'etat initial pour la physique
+!======================================================================
+#include "dimensions.h"
+#include "netcdf.inc"
+#include "dimsoil.h"
+#include "clesphys.h"
+#include "tabcontrol.h"
+#include "temps.h"
+!======================================================================
+
+character(len=*),intent(in) :: fichnom
+REAL    :: tab_cntrl(length)
+integer :: isoil
+CHARACTER(len=2) :: str2
+
+
+! open file
+
+      CALL open_restartphy(fichnom)
+
+! tab_cntrl() contains run parameters
+
+      tab_cntrl(:)=0.0
+ 
+      tab_cntrl(1) = dtime
+      tab_cntrl(2) = radpas
+      tab_cntrl(3) = 0.0
+      tab_cntrl(4) = solaire
+      tab_cntrl(5) = 0
+      tab_cntrl(6) = nbapp_rad
+
+      IF( cycle_diurne ) tab_cntrl( 7 ) = 1.
+      IF(   soil_model ) tab_cntrl( 8 ) = 1.
+      IF(     ok_orodr ) tab_cntrl(10 ) = 1.
+      IF(     ok_orolf ) tab_cntrl(11 ) = 1.
+      IF( ok_gw_nonoro ) tab_cntrl(12 ) = 1.
+
+      tab_cntrl(13) = day_end
+      tab_cntrl(14) = annee_ref
+      tab_cntrl(15) = itau_phy
+
+      CALL put_var("controle","Parametres de controle",tab_cntrl)
+
+! coordinates
+
+      CALL put_field("longitude", &
+                     "Longitudes de la grille physique",rlond)
+     
+      CALL put_field("latitude","Latitudes de la grille physique",rlatd)
+
+! variables
+
+      CALL put_field("TS","Temperature de surface",ftsol)
+
+      DO isoil=1, nsoilmx
+        IF (isoil.LE.99) THEN
+        WRITE(str2,'(i2.2)') isoil
+        CALL put_field("Tsoil"//str2, &
+                       "Temperature du sol No."//str2,ftsoil(:,isoil))
+        ELSE
+        PRINT*, "Trop de couches"
+        CALL abort
+        ENDIF
+      ENDDO
+
+      CALL put_field("ALBE","albedo de surface",falbe)
+      CALL put_field("solsw","Rayonnement solaire a la surface",solsw)
+      CALL put_field("sollw","Rayonnement IR a la surface",sollw)
+      CALL put_field("fder","Derive de flux",fder)
+      CALL put_field("RADS","Rayonnement net a la surface",radsol)
+      CALL put_field("ZMEA","zmea Orographie sous-maille",zmea)
+      CALL put_field("ZSTD","zstd Orographie sous-maille",zstd)
+      CALL put_field("ZSIG","zsig Orographie sous-maille",zsig)
+      CALL put_field("ZGAM","zgam Orographie sous-maille",zgam)
+      CALL put_field("ZTHE","zthe Orographie sous-maille",zthe)
+      CALL put_field("ZPIC","zpic Orographie sous-maille",zpic)
+      CALL put_field("ZVAL","zval Orographie sous-maille",zval)
+
+      CALL put_field("TANCIEN","T Previous iteration",t_ancien)
+
+! close file
+
+      CALL close_restartphy
+!$OMP BARRIER
+
+      END SUBROUTINE phyredem
Index: trunk/LMDZ.VENUS/libf/phyvenus/phys_state_var_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phys_state_var_mod.F90	(revision 892)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phys_state_var_mod.F90	(revision 892)
@@ -0,0 +1,158 @@
+!
+! $Id: phys_state_var_mod.F90 1670 2012-10-17 08:42:04Z idelkadi $
+!
+      MODULE phys_state_var_mod
+! Variables sauvegardees pour le startphy.nc
+!======================================================================
+!
+!
+!======================================================================
+! Declaration des variables
+      USE dimphy
+!      INTEGER, SAVE :: radpas
+!!$OMP THREADPRIVATE(radpas)
+!      REAL, SAVE :: dtime
+!!$OMP THREADPRIVATE(dtime)
+
+      REAL, ALLOCATABLE, SAVE :: ftsol(:)
+!$OMP THREADPRIVATE(ftsol)
+      REAL, ALLOCATABLE, SAVE :: ftsoil(:,:)
+!$OMP THREADPRIVATE(ftsoil)
+      REAL, ALLOCATABLE, SAVE :: falbe(:)
+!$OMP THREADPRIVATE(falbe)
+
+!clesphy0 param physiq
+!
+! Parametres de l'Orographie a l'Echelle Sous-Maille (OESM):
+!
+      REAL, ALLOCATABLE, SAVE :: zmea(:), zstd(:), zsig(:), zgam(:)
+!$OMP THREADPRIVATE(zmea, zstd, zsig, zgam)
+      REAL, ALLOCATABLE, SAVE :: zthe(:), zpic(:), zval(:)
+!$OMP THREADPRIVATE(zthe, zpic, zval)
+!     REAL tabcntr0(100)
+      REAL, ALLOCATABLE, SAVE :: rugoro(:)
+!$OMP THREADPRIVATE(rugoro)
+      REAL, ALLOCATABLE, SAVE :: t_ancien(:,:), q_ancien(:,:)
+!$OMP THREADPRIVATE(t_ancien, q_ancien)
+      REAL, ALLOCATABLE, SAVE :: u_ancien(:,:), v_ancien(:,:)
+!$OMP THREADPRIVATE(u_ancien, v_ancien)
+      LOGICAL, SAVE :: ancien_ok
+!$OMP THREADPRIVATE(ancien_ok)
+! pressure level
+      REAL,ALLOCATABLE,SAVE :: zuthe(:),zvthe(:)
+!$OMP THREADPRIVATE(zuthe,zvthe)
+!
+! heat : chauffage solaire
+! heat0: chauffage solaire ciel clair
+! cool : refroidissement infrarouge
+! cool0 : refroidissement infrarouge ciel clair
+! sollwdown : downward LW flux at surface
+! sollwdownclr : downward CS LW flux at surface
+! toplwdown : downward CS LW flux at TOA
+! toplwdownclr : downward CS LW flux at TOA
+      REAL,ALLOCATABLE,SAVE :: swnet(:,:)   
+!$OMP THREADPRIVATE(swnet)
+      REAL,ALLOCATABLE,SAVE :: lwnet(:,:)   
+!$OMP THREADPRIVATE(lwnet)
+      REAL,ALLOCATABLE,SAVE :: heat(:,:)   
+!$OMP THREADPRIVATE(heat)
+      REAL,ALLOCATABLE,SAVE :: heat0(:,:)
+!$OMP THREADPRIVATE(heat0)
+      REAL,ALLOCATABLE,SAVE :: cool(:,:)
+!$OMP THREADPRIVATE(cool)
+      REAL,ALLOCATABLE,SAVE :: cool0(:,:)
+!$OMP THREADPRIVATE(cool0)
+      REAL,ALLOCATABLE,SAVE :: dtrad(:,:)   
+!$OMP THREADPRIVATE(dtrad)
+      REAL,ALLOCATABLE,SAVE :: topsw(:), toplw(:)
+!$OMP THREADPRIVATE(topsw,toplw)
+      REAL, ALLOCATABLE, SAVE :: solsw(:), sollw(:)
+!$OMP THREADPRIVATE(solsw, sollw)
+      REAL, ALLOCATABLE, SAVE :: radsol(:)
+!$OMP THREADPRIVATE(radsol)
+      REAL,ALLOCATABLE,SAVE :: sollwdown(:)
+!$OMP THREADPRIVATE(sollwdown)
+      REAL,ALLOCATABLE,SAVE :: sollwdownclr(:)
+!$OMP THREADPRIVATE(sollwdownclr)
+      REAL,ALLOCATABLE,SAVE :: toplwdown(:)
+!$OMP THREADPRIVATE(toplwdown)
+      REAL,ALLOCATABLE,SAVE :: toplwdownclr(:)
+!$OMP THREADPRIVATE(toplwdownclr)
+      REAL,ALLOCATABLE,SAVE :: topsw0(:),toplw0(:),solsw0(:),sollw0(:)
+!$OMP THREADPRIVATE(topsw0,toplw0,solsw0,sollw0)
+      REAL,save,allocatable :: dlw(:)  ! derivee infra rouge
+      REAL,save,allocatable :: fder(:) ! Derive de flux (sensible et latente) 
+!$OMP THREADPRIVATE(dlw,fder)
+
+CONTAINS
+
+!======================================================================
+SUBROUTINE phys_state_var_init
+use dimphy
+USE control_mod
+IMPLICIT NONE
+#include "dimsoil.h"
+
+      ALLOCATE(ftsol(klon))            ! temperature de surface
+      ALLOCATE(ftsoil(klon,nsoilmx))   ! temperature dans le sol
+      ALLOCATE(falbe(klon))            ! albedo
+
+!  Parametres de l'Orographie a l'Echelle Sous-Maille (OESM):
+!
+!zmea(:)   ! orographie moyenne
+!zstd(:)   ! deviation standard de l'OESM
+!zsig(:)   ! pente de l'OESM
+!zgam(:)   ! anisotropie de l'OESM
+!zthe(:)   ! orientation de l'OESM
+!zpic(:)   ! Maximum de l'OESM
+!zval(:)   ! Minimum de l'OESM
+!rugoro(:) ! longueur de rugosite de l'OESM
+      ALLOCATE(zmea(klon), zstd(klon), zsig(klon), zgam(klon))
+      ALLOCATE(zthe(klon), zpic(klon), zval(klon))
+      ALLOCATE(rugoro(klon))
+
+      ALLOCATE(t_ancien(klon,klev), q_ancien(klon,klev))
+      ALLOCATE(u_ancien(klon,klev), v_ancien(klon,klev))
+
+      ALLOCATE(zuthe(klon),zvthe(klon))
+!
+      ALLOCATE(swnet(klon,klev), lwnet(klon,klev)) 
+      ALLOCATE(heat(klon,klev), heat0(klon,klev)) 
+      ALLOCATE(cool(klon,klev), cool0(klon,klev))
+      ALLOCATE(dtrad(klon,klev))
+      ALLOCATE(topsw(klon), toplw(klon))
+      ALLOCATE(solsw(klon), sollw(klon))
+      ALLOCATE(radsol(klon))  ! bilan radiatif au sol calcule par code radiatif
+      ALLOCATE(sollwdown(klon), sollwdownclr(klon))
+      ALLOCATE(toplwdown(klon), toplwdownclr(klon))
+      ALLOCATE(topsw0(klon),toplw0(klon),solsw0(klon),sollw0(klon))
+      ALLOCATE(dlw(klon), fder(klon))
+      
+END SUBROUTINE phys_state_var_init
+
+!======================================================================
+SUBROUTINE phys_state_var_end
+use dimphy
+use control_mod
+IMPLICIT NONE
+
+      deallocate(ftsol, falbe)
+      deallocate(zmea, zstd, zsig, zgam)
+      deallocate(zthe, zpic, zval)
+      deallocate(rugoro, t_ancien, q_ancien)
+      deallocate(        u_ancien, v_ancien)
+      deallocate(zuthe, zvthe)
+      deallocate(swnet, lwnet) 
+      deallocate(heat, heat0) 
+      deallocate(cool, cool0)
+      deallocate(dtrad)
+      deallocate(solsw, sollw, radsol)
+      deallocate(topsw, toplw)
+      deallocate(sollwdown, sollwdownclr)
+      deallocate(toplwdown, toplwdownclr)
+      deallocate(topsw0,toplw0,solsw0,sollw0)
+      deallocate(dlw, fder)
+
+END SUBROUTINE phys_state_var_end
+
+      END MODULE phys_state_var_mod
Index: trunk/LMDZ.VENUS/libf/phyvenus/physiq.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 892)
@@ -60,4 +60,7 @@
       use dimphy
       USE comgeomphy
+      USE mod_phys_lmdz_para, only : is_parallel,jj_nb
+      USE phys_state_var_mod ! Variables sauvegardees de la physique
+      USE iophy
       IMPLICIT none
 c======================================================================
@@ -117,9 +120,4 @@
       REAL qx(klon,klev,nqmax)
 
-      REAL,save,allocatable :: t_ancien(:,:)
-      REAL,save,allocatable :: u_ancien(:,:)
-      LOGICAL ancien_ok
-      SAVE ancien_ok
-
       REAL d_u_dyn(klon,klev)
       REAL d_t_dyn(klon,klev)
@@ -133,7 +131,4 @@
       REAL d_ps(klon)
 
-      REAL,save,allocatable :: swnet(:,:)
-      REAL,save,allocatable :: lwnet(:,:)
-c
       logical ok_hf
       real ecrit_hf
@@ -149,25 +144,8 @@
 c Variables propres a la physique
 c
-      REAL,save,allocatable :: radsol(:) ! bilan radiatif au sol calcule par code radiatif
       REAL,save,allocatable :: rlev(:,:) ! altitude a chaque niveau (interface inferieure de la couche) 
       INTEGER,save :: itap        ! compteur pour la physique
-      REAL,save,allocatable :: ftsol(:)    ! temperature du sol
-      REAL,save,allocatable :: ftsoil(:,:) ! temperature dans le sol
-      REAL,save,allocatable :: falbe(:)    ! albedo 
       REAL delp(klon,klev)        ! epaisseur d'une couche
       
-CMODDEB FLOTT
-c
-c  Parametres de l'Orographie a l'Echelle Sous-Maille (OESM):
-c
-      REAL,save,allocatable :: zmea(:)   ! orographie moyenne
-      REAL,save,allocatable :: zstd(:)   ! deviation standard de l'OESM
-      REAL,save,allocatable :: zsig(:)   ! pente de l'OESM
-      REAL,save,allocatable :: zgam(:)   ! anisotropie de l'OESM
-      REAL,save,allocatable :: zthe(:)   ! orientation de l'OESM
-      REAL,save,allocatable :: zpic(:)   ! Maximum de l'OESM
-      REAL,save,allocatable :: zval(:)   ! Minimum de l'OESM
-      REAL,save,allocatable :: rugoro(:) ! longueur de rugosite de l'OESM
-
       INTEGER igwd,idx(klon),itest(klon)
 c
@@ -198,5 +176,4 @@
 
       REAL zustrph(klon),zvstrph(klon) 
-      REAL,save,allocatable :: zuthe(:),zvthe(:)
 
 c Variables locales:
@@ -213,6 +190,4 @@
 
       REAL sens(klon), dsens(klon) ! chaleur sensible et sa derivee
-      REAL,save,allocatable :: dlw(:)  ! derivee infra rouge
-      REAL,save,allocatable :: fder(:) ! Derive de flux (sensible et latente) 
       REAL ve(klon) ! integr. verticale du transport meri. de l'energie
       REAL vq(klon) ! integr. verticale du transport meri. de l'eau
@@ -234,7 +209,4 @@
       EXTERNAL suphec    ! initialiser certaines constantes
       EXTERNAL transp    ! transport total de l'eau et de l'energie
-      INTEGER  lnblnk1
-      EXTERNAL lnblnk1   !enleve les blancs a la fin d'une variable de type
-                         !caracter
       EXTERNAL abort_gcm
       EXTERNAL printflag
@@ -257,12 +229,4 @@
       REAL flux_ec(klon,klev)   ! flux de chaleur Ec
 c
-c Le rayonnement n'est pas calcule tous les pas, il faut donc
-c                      sauvegarder les sorties du rayonnement
-      REAL,save,allocatable :: heat(:,:)    ! chauffage solaire
-      REAL,save,allocatable :: cool(:,:)    ! refroidissement infrarouge
-      REAL,save,allocatable :: dtrad(:,:)   ! K s-1 
-      REAL,save,allocatable :: topsw(:), toplw(:)
-      REAL,save,allocatable :: solsw(:), sollw(:)
-      REAL,save,allocatable :: sollwdown(:) ! downward LW flux at surface
       REAL tmpout(klon,klev)  ! K s-1 
 
@@ -321,13 +285,6 @@
 c
 c pour ioipsl
-      INTEGER ndex2d(iim*jjmp1),ndex3d(iim*jjmp1*klev)
-      REAL zx_tmp_fi2d(klon)      ! variable temporaire grille physique
-      REAL zx_tmp_fi3d(klon,klev) ! variable temporaire pour champs 3D 
-      REAL zx_tmp_2d(iim,jjmp1),zx_tmp_3d(iim,jjmp1,klev)
-      REAL zx_lon(iim,jjmp1), zx_lat(iim,jjmp1)
-
       INTEGER nid_day, nid_mth, nid_ins
       SAVE nid_day, nid_mth, nid_ins
-c
       INTEGER nhori, nvert, idayref
       REAL zsto, zout, zsto1, zsto2, zero
@@ -383,4 +340,9 @@
       bilansmc = 0
       ballons  = 0
+! NE FONCTIONNENT PAS ENCORE EN PARALLELE !!!
+      if (is_parallel) then
+        bilansmc = 0
+        ballons  = 0
+      endif
 
       IF (if_ebil.ge.1) THEN
@@ -398,14 +360,5 @@
 c========================
       IF (debut) THEN
-         allocate(t_ancien(klon,klev),u_ancien(klon,klev))
-         allocate(swnet(klon,klevp1),lwnet(klon,klevp1))
-         allocate(radsol(klon),ftsol(klon),falbe(klon))
-         allocate(rlev(klon,klevp1),ftsoil(klon,nsoilmx))
-         allocate(zmea(klon),zstd(klon),zsig(klon),zgam(klon))
-         allocate(zthe(klon),zpic(klon),zval(klon),rugoro(klon))
-         allocate(zuthe(klon),zvthe(klon),dlw(klon),fder(klon))
-         allocate(heat(klon,klev),cool(klon,klev))
-         allocate(dtrad(klon,klev),topsw(klon),toplw(klon))
-         allocate(solsw(klon),sollw(klon),sollwdown(klon))
+         allocate(rlev(klon,klevp1))
          allocate(source(klon,nqmax))
 
@@ -420,4 +373,5 @@
      .                  if_ebil)
 
+         call phys_state_var_init
 c
 c Initialiser les compteurs:
@@ -428,11 +382,5 @@
 c Lecture startphy.nc :
 c
-c REMETTRE TOUS LES PARAMETRES POUR OROGW...
-         CALL phyetat0 ("startphy.nc",
-     .       rlatd,rlond,ftsol,ftsoil,
-     .       falbe, solsw, sollw,
-     .       dlw,radsol,
-     .      zmea,zstd,zsig,zgam,zthe,zpic,zval,
-     .       t_ancien, ancien_ok)
+         CALL phyetat0 ("startphy.nc")
 
 c dtime est defini dans tabcontrol.h et lu dans startphy
@@ -1308,12 +1256,5 @@
       IF (lafin) THEN
          itau_phy = itau_phy + itap
-c REMETTRE TOUS LES PARAMETRES POUR OROGW...
-         CALL phyredem ("restartphy.nc",
-     .      rlatd, rlond, ftsol, ftsoil,
-     .      falbe,
-     .      solsw, sollw,dlw,
-     .      radsol,
-     .      zmea,zstd,zsig,zgam,zthe,zpic,zval,
-     .      t_ancien)
+         CALL phyredem ("restartphy.nc")
      
 c--------------FLOTT
Index: trunk/LMDZ.VENUS/libf/phyvenus/phytrac.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phytrac.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phytrac.F	(revision 892)
@@ -86,29 +86,4 @@
 cAA
 
-      CHARACTER*2 itn
-C maf ioipsl
-      CHARACTER*2 str2
-      INTEGER nhori, nvert
-      REAL zsto, zout, zjulian
-      INTEGER nid_tra
-      SAVE nid_tra
-      INTEGER nid_tra2,nid_tra3
-      SAVE nid_tra2,nid_tra3
-      INTEGER ndex(1)
-      INTEGER ndex2d(iim*(jjm+1)),ndex3d(iim*(jjm+1)*klev)
-      REAL zx_tmp_2d(iim,jjm+1), zx_tmp_3d(iim,jjm+1,klev)
-      REAL zx_lon(iim,jjm+1), zx_lat(iim,jjm+1)
-c
-      integer itau_w   ! pas de temps ecriture = nstep + itau_phy
-c
-
-C
-C Variables liees a l'ecriture de la bande histoire : phytrac.nc
-c
-c      INTEGER ecrit_tra
-c      SAVE ecrit_tra   
-      logical ok_sync
-      parameter (ok_sync = .true.)
-C
 C les traceurs
 C
Index: trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 892)
@@ -55,14 +55,14 @@
       real solsw(klon), sollw(klon)
       real sollwdown(klon)
-      REAL swnet(klon,kflev+1),lwnet(klon,kflev+1)
+      REAL swnet(klon,klev+1),lwnet(klon,klev+1)
 c
       INTEGER k, kk, i, j, nb_gr
 c
-      REAL   PPB(kflev+1)
+      REAL   PPB(klev+1)
 c
       REAL   zfract, zrmu0
 c
-      REAL   zheat(kflev), zcool(kflev)
-      REAL   ZFSNET(KFLEV+1),ZFLNET(KFLEV+1)
+      REAL   zheat(klev), zcool(klev)
+      REAL   ZFSNET(klev+1),ZFLNET(klev+1)
       REAL   ztopsw, ztoplw
       REAL   zsolsw, zsollw
@@ -71,10 +71,10 @@
 cIM END
       real,save,allocatable :: ksive(:,:,:,:) ! ksi matrixes in Vincent's file
-      real    psimap(0:kflev+1,0:kflev+1,klon)
-      real    deltapsimap(0:kflev+1,0:kflev+1,klon)
-      real    psi(0:kflev+1,0:kflev+1)
-      real    deltapsi(0:kflev+1,0:kflev+1)
+      real    psimap(0:klev+1,0:klev+1,klon)
+      real    deltapsimap(0:klev+1,0:klev+1,klon)
+      real    psi(0:klev+1,0:klev+1)
+      real    deltapsi(0:klev+1,0:klev+1)
       real    latdeg
-      real    pt0(klon,0:kflev+1)
+      real    pt0(klon,0:klev+1)
       real,save,allocatable :: ztop(:) ! in km
 
@@ -92,5 +92,5 @@
 
 c ---------- ksive --------------
-        allocate(ksive(0:kflev+1,0:kflev+1,nnuve,nbmat))
+        allocate(ksive(0:klev+1,0:klev+1,nnuve,nbmat))
         call load_ksi(ksive)
 c ---------- ztop --------------
@@ -122,5 +122,5 @@
             pt0(i,k) = t(i,k)
           ENDDO
-          pt0(i,kflev+1) = 0.
+          pt0(i,klev+1) = 0.
       ENDDO !i
 
@@ -154,10 +154,10 @@
          zrmu0 = rmu0(j)
  
-      DO k = 1, kflev+1
+      DO k = 1, klev+1
          PPB(k) = paprs(j,k)/1.e5
       ENDDO
  
-      DO k = 0,kflev+1
-      DO i = 0,kflev+1
+      DO k = 0,klev+1
+      DO i = 0,klev+1
         psi(i,k) = psimap(i,k,j) 
         deltapsi(i,k) = deltapsimap(i,k,j) 
@@ -190,10 +190,10 @@
          sollwdown(j) = zsollwdown    ! + vers bas
 
-         DO k = 1, kflev+1
+         DO k = 1, klev+1
          lwnet  (j,k)   = ZFLNET(k)
          swnet  (j,k)   = ZFSNET(k)
          ENDDO
 
-      DO k = 1, kflev
+      DO k = 1, klev
          heat (j,k) = zheat(k)
          cool (j,k) = zcool(k)
@@ -209,9 +209,9 @@
 c     print*,'mu0=',rmu0(j)
 c     print*,'   net flux vis   HEAT(K/day)'
-c     do k=1,kflev
+c     do k=1,klev
 c     print*,k,ZFSNET(k),heat(j,k)*8.56548e-3
 c     enddo
 c     print*,'   net flux IR    COOL(K/day)'
-c     do k=1,kflev
+c     do k=1,klev
 c     print*,k,ZFLNET(k),cool(j,k)*8.56548e-3
 c     enddo
Index: trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool	(revision 892)
@@ -53,5 +53,5 @@
       real solsw(klon), sollw(klon)
       real sollwdown(klon)
-      REAL swnet(klon,kflev+1),lwnet(klon,kflev+1)
+      REAL swnet(klon,klev+1),lwnet(klon,klev+1)
 c
       INTEGER i,j,k
@@ -138,10 +138,10 @@
          sollwdown(j) = 0.        ! + vers bas
 
-        DO k = 1, kflev+1
+        DO k = 1, klev+1
          lwnet  (j,k)   = 0.
          swnet  (j,k)   = 0.
         ENDDO
 
-        DO k = 1, kflev
+        DO k = 1, klev
          heat (j,k) = dTsdt(k)*dureejour ! K/Venusday
          cool (j,k) = 0.
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F	(revision 892)
@@ -34,13 +34,13 @@
       REAL   PRMU0  ! COSINE OF ZENITHAL ANGLE
       REAL   PFRAC  ! fraction de la journee
-      REAL   PPB(KFLEV+1)  ! inter-couches PRESSURE (bar)
-      REAL   pt(kflev)     ! mid-layer temperature
+      REAL   PPB(klev+1)  ! inter-couches PRESSURE (bar)
+      REAL   pt(klev)     ! mid-layer temperature
 C
 c output
 
-      REAL   PHEAT(KFLEV) ! SHORTWAVE HEATING (K/VENUSDAY) within each layer
+      REAL   PHEAT(klev) ! SHORTWAVE HEATING (K/VENUSDAY) within each layer
       REAL   PTOPSW       ! SHORTWAVE FLUX AT T.O.A. (net)
       REAL   PSOLSW       ! SHORTWAVE FLUX AT SURFACE (net)
-      REAL   ZFSNET(KFLEV+1) ! net solar flux at ppb levels
+      REAL   ZFSNET(klev+1) ! net solar flux at ppb levels
 
 C
@@ -114,5 +114,5 @@
 c      read(12,*) nullchar
 c
-c       do j=1,kflev+1
+c       do j=1,klev+1
 c          read(12,*) zlup,zldn,zsolVE(j)
 c       enddo
@@ -182,5 +182,5 @@
 c ---------------
 
-      do j=1,kflev+1
+      do j=1,klev+1
         nl0 = 2
         do i=1,nldc
@@ -212,5 +212,5 @@
 c      Fichiers de Vincent
 c -----------------------------
-c     do j=1,kflev+1
+c     do j=1,klev+1
 c       ZFSNET(j)=zsolVE(j)
 c     enddo
@@ -218,5 +218,5 @@
 c --------  FIN TEST ----------
 
-      PTOPSW = ZFSNET(kflev+1)
+      PTOPSW = ZFSNET(klev+1)
       PSOLSW = ZFSNET(1) 
       
@@ -229,5 +229,5 @@
 c              /cp  (J/kg/K) 
 
-      do j=1,kflev
+      do j=1,klev
 ! ADAPTATION GCM POUR CP(T)
         PHEAT(j) = (ZFSNET(j+1)-ZFSNET(j))
Index: trunk/LMDZ.VENUS/libf/phyvenus/ustarhb.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/ustarhb.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/ustarhb.F	(revision 892)
@@ -41,5 +41,5 @@
         zxu = u(i,1)*zx_alf1+u(i,2)*zx_alf2
         zxv = v(i,1)*zx_alf1+v(i,2)*zx_alf2
-        zxmod = 1.0+SQRT(zxu**2+zxv**2)
+        zxmod = SQRT(zxu**2+zxv**2)
         taux = zxu *zxmod*cd_m(i)
         tauy = zxv *zxmod*cd_m(i)
